namespace: Tests
support_namespace: Support
suites:
  acceptance:
    path: Acceptance
  functional:
    path: Functional
  unit:
    path: Unit
paths:
  tests: Tests
  output: Tests/_output
  data: Tests/Support/Data
  support: Tests/Support
  envs: Tests/_envs
actor_suffix: Tester
error_level: E_ALL & ~E_DEPRECATED & ~E_NOTICE
extensions:
  enabled:
    - Codeception\Extension\RunFailed
settings:
  shuffle: false
  bootstrap: ..\bootstrap.php
  memory_limit: 2048M
  colors: true
  report_useless_tests: true

coverage:
  c3_url: 'http://local.psems/'
  show_uncovered: true
  enabled: true
  remote: false
  #  show_uncovered: true
  #  show_only_summary: false
  include:
    - src/*
    - include/*
  exclude:
    - _Reports/*
    - _Tools/*
    - _Workbench/*
    - Database/*
    - Documentation/*
    - libraries/*
    - node_modules/*
    - resources/*
    - session_cache/*
    - stencils/*
    - Tests/*
    - vendor/*
    - ../../MBES/*
step_decorators: ~